# -*- coding: utf-8 -*-

#modifier le dossier de travail
import os
os.chdir("C:/Users/Zatovo/Desktop/demo")

#charger les données
import pandas
D = pandas.read_excel("iris.xlsx",sheet_name=0)

#type de l'objet
type(D)

#dimensions
D.shape

#information sur le dataset
D.info()

#les premières lignes
D.head()

#liste des colonnes
D.columns

#accèder à une colonne
D.sep_length

#ou autrement
D['species']

#ou à un ensemble de colonnes
D[['sep_length','species']]

#liste de toutes les colonnes sauf la dernière
D.columns[:-1]

#affichage des premières valeurs corresp.
D[D.columns[:-1]].head()

#accès indicé
D.iloc[0,0]

#accès plage d'indices
D.iloc[:5,3:]

#accès avec des conditions
D.loc[D.species=='setosa'].head()

#accès avec des conditions - affichage de certaines colonnes
temp = D.loc[D.species=='setosa',['sep_length','pet_width']]
temp.head()

#pour une variable catégorielle -- les modalités
D.species.unique()

#calcul recap. utiles
D.species.value_counts()

#ou en proportion
D.species.value_counts(normalize=True)

#récupération sous la forme de matrice numpy
X = D[D.columns[:-1]].values
type(X)

#calcul de X'X
import numpy
res = numpy.dot(numpy.transpose(X),X)
res

